%define module_name Test-Continuous
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Prove.pm) perl(CPAN.pm) perl(CPAN/Meta.pm) perl(CPAN/Meta/Check.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ChangeNotify.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Git/Repository.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(Log/Dispatch.pm) perl(Log/Dispatch/DesktopNotification.pm) perl(Module/Build.pm) perl(Module/ExtractUse.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(TAP/Harness.pm) perl(Term/Cap.pm) perl(Test/Class.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(YAML.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators /usr/bin/git

Name: perl-%module_name
Version: 0.76
Release: alt1
Summary: Run your test suite continuously when developing.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GU/GUGOD/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
*Continuous Testing* is a concept and tool to re-run software tests
as soon as the developer saves the source code.

`Test::Continuous' is a tool based on the App::Prove manpage that implements
this concept for Perl.

See http://groups.csail.mit.edu/pag/continuoustesting/ for the
original implementation of Continuous Testing as an Eclipse plugin.
See also Zentest http://www.zenspider.com/ZSS/Products/ZenTest/ for
the same concept implemented in Ruby's world.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Sun Mar 03 2019 Igor Vlasenko <viy@altlinux.ru> 0.76-alt1
- updated by package builder

* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.74-alt1
- initial import by package builder

